Remover um conector
curl --request DELETE \
--url https://api.example.com/connectors/{connector_id}import requests
url = "https://api.example.com/connectors/{connector_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/connectors/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}connectors
Remover um conector
Remove a connector from the SecretStore.
If this was the last connector of its type, also removes the Prefect deployment so stale scheduled runs no longer appear in the Prefect UI.
Refuses deletion when this is the last connector of its type AND there are
dbt transformation models that reference raw tables from this connector
(detected via delta_scan(...) paths). Deleting the connector would
cause dbt to fail on the next run and leave clean/ tables stale.
DELETE
/
connectors
/
{connector_id}
Remover um conector
Path Parameters
Response
Successful Response